> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Claims



## OpenAPI

````yaml openapi-claims GET /v1/claims
openapi: 3.0.0
info:
  title: OrderProtection Claims API
  description: Claims service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags: []
paths:
  /v1/claims:
    get:
      tags:
        - Claims
      summary: List Claims
      operationId: ClaimsApiController_listClaims
      parameters:
        - name: filter
          required: false
          example:
            authorEmail: john@doe.com
            claimState: NEW
          in: query
          schema:
            $ref: '#/components/schemas/GetClaimsApiFilter'
        - name: first
          required: false
          in: query
          example: 10
          schema:
            type: integer
        - name: last
          required: false
          in: query
          example: 10
          schema:
            type: integer
        - name: reverse
          required: false
          in: query
          example: true
          schema:
            type: boolean
        - name: before
          required: false
          in: query
          example: '123454'
          schema:
            type: string
        - name: after
          required: false
          in: query
          example: '123455'
          schema:
            type: string
        - name: include
          required: false
          in: query
          example:
            - claimResolutions
            - claimItems
            - claimMessages
            - claimCredits
            - claimStoreCredits
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimsListResponse'
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  schemas:
    GetClaimsApiFilter:
      type: object
      properties:
        authorEmail:
          type: string
          example: john@doe.com
        claimState:
          type: string
          example: NEW
          enum:
            - NEW
            - OPEN
            - DISMISSED
            - DENIED
            - APPROVED
            - RESOLVED
            - ARCHIVED
            - COMMUNICATING
            - WAITING_FOR_CUSTOMER
            - WAITING_FOR_BRAND
            - WAITING_FOR_OP
            - RESOLVED_BY_BRAND
            - TEMPORARILY_DISMISSED
            - CLOSED
    ClaimsListResponse:
      type: object
      properties:
        edges:
          example:
            - node:
                id: cm0b57zjv00myq52xh0c590b8
                storeId: teststore2
                orderId: order_77
                sourceOrderId: llhVsSDgn
                sourceOrderNumber: xtwCvToLXq
                authorName: Desiree Ward II
                authorEmail: Garrison_Wehner88@gmail.com
                claimDescription: >-
                  Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt
                  ante stillicidium aegre. Deorsum cognomen thymbra umquam theca
                  sodalitas.
                claimState: APPROVED
                isOta: false
                otaDescription: null
                externalSource: api
                claimType: null
                createdAt: '2024-08-26T15:18:28.795Z'
                updatedAt: '2024-08-26T15:18:28.795Z'
                deletedAt: null
                policyId: policy_77
                claimResolutions:
                  - id: cm0b57zjv00myq52xh0c590b8
                    claimId: cm0b57zjv00myq52xh0c590b8
                    resolution: REFUND
                    claimState: APPROVED
                    createdAt: '2024-08-26T15:18:28.795Z'
                    updatedAt: '2024-08-26T15:18:28.795Z'
                    deletedAt: null
                claimItems:
                  - id: cm0b57zjv00myq52xh0c590b8
                    claimId: cm0b57zjv00myq52xh0c590b8
                    itemId: item_77
                    quantity: 1
                    createdAt: '2024-08-26T15:18:28.795Z'
                    updatedAt: '2024-08-26T15:18:28.795Z'
                    deletedAt: null
                claimMessages:
                  - id: cm0b57zjv00myq52xh0c590b8
                    claimId: cm0b57zjv00myq52xh0c590b8
                    message: >-
                      Dolorum quidem quod. Deorsum cognomen thymbra umquam theca
                      sodalitas.
                    authorName: Desiree Ward II
                    medias: []
          type: array
          items:
            $ref: '#/components/schemas/ClaimEdge'
        pageInfo:
          readOnly: true
          example:
            startCursor: cm0b57zjv00myq52xh0c590b8
            endCursor: cm0b57zjv00myq52xh0c590b8
            hasNextPage: false
            hasPreviousPage: false
          allOf:
            - $ref: '#/components/schemas/PageInfo'
      required:
        - edges
        - pageInfo
    ClaimEdge:
      type: object
      properties:
        node:
          $ref: '#/components/schemas/Claim'
      required:
        - node
    PageInfo:
      type: object
      properties:
        startCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        endCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        hasNextPage:
          type: boolean
          readOnly: true
          example: false
        hasPreviousPage:
          type: boolean
          readOnly: true
          example: false
      required:
        - startCursor
        - endCursor
        - hasNextPage
        - hasPreviousPage
    Claim:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        storeId:
          type: string
          readOnly: true
          example: teststore2
        orderId:
          type: string
          readOnly: true
          example: order_77
        sourceOrderId:
          type: string
          readOnly: true
          example: llhVsSDgn
        sourceOrderNumber:
          type: string
          readOnly: true
          example: xtwCvToLXq
        authorName:
          type: string
          readOnly: true
          example: Desiree Ward II
        authorEmail:
          type: string
          readOnly: true
          example: Garrison_Wehner88@gmail.com
        claimDescription:
          type: string
          readOnly: true
          example: >-
            Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt ante
            stillicidium aegre. Deorsum cognomen thymbra umquam theca sodalitas.
        resolutionRequested:
          type: string
          readOnly: true
          example: RESHIP
        resolutionDate:
          format: date-time
          type: string
          readOnly: true
          example: '2024-08-26T15:18:28.795Z'
        claimState:
          type: object
          readOnly: true
          example: APPROVED
        claimType:
          type: object
          readOnly: true
          example: DAMAGED
        isOta:
          type: boolean
          readOnly: true
        otaDescription:
          type: string
          readOnly: true
          example: Pellentesque habitant morbi tristique senectus
        externalSource:
          type: string
          readOnly: true
          example: api
        policyId:
          type: string
          readOnly: true
          example: policy_77
        createdAt:
          format: date-time
          type: string
          readOnly: true
        updatedAt:
          format: date-time
          type: string
          readOnly: true
        deletedAt:
          format: date-time
          type: string
          nullable: true
        claimItems:
          readOnly: true
          example:
            - id: cm0b57zjv00myq52xh0c590b8
              claimId: cm0b57zjv00myq52xh0c590b8
              itemId: item_77
              quantity: 1
              createdAt: '2024-08-26T15:18:28.795Z'
              updatedAt: '2024-08-26T15:18:28.795Z'
              deletedAt: null
          type: array
          items:
            $ref: '#/components/schemas/ClaimItem'
        claimMessages:
          readOnly: true
          example:
            - senderType: customer
              id: cm0b57zjv00myq52xh0c590b8
              claimId: cm0b57zjv00myq52xh0c590b8
              message: >-
                Dolorum quidem quod. Deorsum cognomen thymbra umquam theca
                sodalitas.
              authorName: Desiree Ward II
              medias: []
            - senderType: brand
              id: cm0b57zjv00myq52xh0c590b8
              claimId: cm0b57zjv00myq52xh0c590b8
              message: >-
                We are sorry for the inconvenience. We will process your refund
                as soon as possible.
              authorName: Sarah
              medias: []
          type: array
          items:
            $ref: '#/components/schemas/ClaimMessage'
        claimResolutions:
          readOnly: true
          example:
            - id: cm0b57zjv00myq52xh0c590b8
              claimId: cm0b57zjv00myq52xh0c590b8
              userId: user_77
              resolutionType: STORE_CREDIT
              resolutionDetails: >-
                Dolorum quidem quod. Deorsum cognomen thymbra umquam theca
                sodalitas.
              paidValue: 100
              paidCurrency: USD
              paidOriginalValue: 100
              includeShipping: true
              shippingAmount: 100
              creditStore: true
              createdAt: '2024-08-26T15:18:28.795Z'
              updatedAt: '2024-08-26T15:18:28.795Z'
              deletedAt: null
          type: array
          items:
            $ref: '#/components/schemas/ClaimResolution'
        claimStoreCredits:
          readOnly: true
          example:
            - code: cm0b57zjv00myq52xh0c590b8
              emailStatus: SENT
              emailTime: '2024-08-26T15:18:28.795Z'
              creditValue: 100
              bonusValue: 0
              totalValue: 100
              bonus: 0
              bonusType: NONE
              creditCurrency: USD
              exchangeRate: 1
              claimId: cm0b57zjv00myq52xh0c590b8
              createdAt: '2024-08-26T15:18:28.795Z'
              updatedAt: '2024-08-26T15:18:28.795Z'
              deletedAt: null
          type: array
          items:
            $ref: '#/components/schemas/StoreCredit'
        claimDocuments:
          readOnly: true
          example:
            - id: cm0b57zjv00myq52xh0c590b8
              claimId: cm0b57zjv00myq52xh0c590b8
              url: https://storage.cloud.google.com/image.png
              documentType: SIGNATURE
              createdAt: '2024-08-26T15:18:28.795Z'
              updatedAt: '2024-08-26T15:18:28.795Z'
              deletedAt: '2024-08-26T15:18:28.795Z'
          type: array
          items:
            $ref: '#/components/schemas/ClaimDocument'
        policy:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/Policy'
      required:
        - id
        - storeId
        - orderId
        - sourceOrderId
        - sourceOrderNumber
        - authorName
        - authorEmail
        - claimDescription
        - resolutionRequested
        - resolutionDate
        - claimState
        - claimType
        - isOta
        - otaDescription
        - externalSource
        - policyId
        - createdAt
        - updatedAt
        - deletedAt
        - claimItems
        - claimMessages
        - claimResolutions
        - claimStoreCredits
        - claimDocuments
        - policy
    ClaimItem:
      type: object
      properties: {}
    ClaimMessage:
      type: object
      properties:
        messageContent:
          type: string
        senderName:
          type: string
        senderType:
          type: string
          enum:
            - customer
            - brand
            - admin
            - automatic
            - system
        senderId:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          type: object
        deletedAt:
          type: object
        htmlBody:
          type: object
        medias:
          $ref: '#/components/schemas/ClaimMessageMedia'
      required:
        - messageContent
        - senderName
        - senderType
        - senderId
        - createdAt
        - updatedAt
        - deletedAt
        - htmlBody
        - medias
    ClaimResolution:
      type: object
      properties:
        id:
          type: string
        claimId:
          type: string
        userId:
          type: string
        resolutionType:
          type: string
          enum:
            - RESHIP
            - REPLACEMENT
            - REFUND
            - FLAT_RATE
            - CUSTOM
            - EXPIRED30
            - EXCHANGE
            - CREDIT
            - STORE_CREDIT
            - RETURN
            - OTHER
            - NO_RESPONSE
            - PACKAGE_ARRIVED
            - CUSTOMER_RESPONDED
            - FOLLOW_UP
            - INSUFFICIENT_SHIPPER
            - RETURN_TO_SENDER
            - NOT_COVERED
            - ADRESS_TYPO
            - PHOTO_VERIFIED
            - THRESHOLD_REACHED
            - ADDRESS_TYPO
            - ALREADY_REFUNDED
            - ALREADY_REPLACED
            - POTENTIAL_FRAUD
        resolutionDetails:
          type: string
        paidValue:
          type: number
        paidCurrency:
          type: string
        paidOriginalValue:
          type: number
        includeShipping:
          type: boolean
        shippingAmount:
          type: number
        user:
          $ref: '#/components/schemas/User'
        creditStore:
          type: boolean
        createdAt:
          format: date-time
          type: string
        updatedAt:
          type: object
        deletedAt:
          type: object
      required:
        - id
        - claimId
        - userId
        - resolutionType
        - resolutionDetails
        - paidValue
        - paidCurrency
        - paidOriginalValue
        - includeShipping
        - shippingAmount
        - user
        - creditStore
        - createdAt
        - updatedAt
        - deletedAt
    StoreCredit:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        claimId:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
          enum:
            - GIFT_CARD
            - DISCOUNT_CODE
        code:
          type: string
          readOnly: true
        emailStatus:
          type: string
          readOnly: true
        emailTime:
          format: date-time
          type: string
          readOnly: true
        creditValue:
          type: number
          readOnly: true
        bonusValue:
          type: number
          readOnly: true
        totalValue:
          type: number
          readOnly: true
        bonus:
          type: number
          readOnly: true
        bonusType:
          type: object
          readOnly: true
        creditCurrency:
          type: string
          readOnly: true
        exchangeRate:
          type: number
          readOnly: true
        claim:
          type: object
          readOnly: true
        createdAt:
          format: date-time
          type: string
          readOnly: true
        updatedAt:
          type: object
          readOnly: true
        deletedAt:
          type: object
          readOnly: true
      required:
        - id
        - claimId
        - type
        - code
        - emailStatus
        - emailTime
        - creditValue
        - bonusValue
        - totalValue
        - bonus
        - bonusType
        - creditCurrency
        - exchangeRate
        - claim
        - createdAt
        - updatedAt
        - deletedAt
    ClaimDocument:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        claimId:
          type: string
        documentType:
          type: object
        createdAt:
          type: object
        updatedAt:
          type: object
        deletedAt:
          type: object
      required:
        - id
        - url
        - claimId
        - documentType
        - createdAt
        - updatedAt
        - deletedAt
    Policy:
      type: object
      properties:
        id:
          type: string
          example: policy_77
        customerAmount:
          type: number
        brandAmount:
          type: number
        insuredAmount:
          type: number
        premiumPaid:
          type: number
        premiumDiscountedAmount:
          type: number
        premiumCurrency:
          type: string
          example: USD
        fundedBy:
          type: string
          example: customer
        claim:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        removedAt:
          format: date-time
          type: string
          nullable: true
        deletedAt:
          format: date-time
          type: string
          nullable: true
        hybridOperator:
          type: string
          enum:
            - AND
            - OR
      required:
        - id
        - customerAmount
        - brandAmount
        - insuredAmount
        - premiumPaid
        - premiumDiscountedAmount
        - premiumCurrency
        - fundedBy
        - claim
        - createdAt
        - updatedAt
        - removedAt
        - deletedAt
        - hybridOperator
    ClaimMessageMedia:
      type: object
      properties:
        claimMessageId:
          type: string
        fileKey:
          type: string
        fileType:
          type: string
        filename:
          type: string
        downloadLink:
          type: string
        url:
          type: string
        caption:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          type: object
        deletedAt:
          type: object
      required:
        - claimMessageId
        - fileKey
        - fileType
        - filename
        - downloadLink
        - url
        - caption
        - createdAt
        - updatedAt
        - deletedAt
    User:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````